@import './variables';
.list-movies-container{
    @include FlexDisplayed(center, center);
    gap: 25px;
    padding: 25px;
    flex-wrap: wrap;
    cursor: pointer;
}
.list-movies-box{
    @include FlexDisplayed(space-between, flex-start);
    flex-direction: column;
    width: 380px;
    min-height: 330px;
    box-shadow: 0.325em 0.25em 5px rgba($color: #000, $alpha: .5);
    background-color: $secondary_color;
    text-align: left;
    border-radius: 10px;
    position: relative;
    .btn-box{
        padding: 0 10px;
    }
}

.list-movies-box__img{
    width: 100%;
    border-radius: 10px;
    max-height: 215px;
    object-fit: contain;
}

.list-movies-box__title{
    @include FlexDisplayed(space-between, flex-start);
    width: 100%;
    padding: 0 10px;
    height: 50px;
}

.list-movies-box__h1{
    font-size: clamp(1.1em, 1.4vw, 4em);
    padding: 5px 0;
    color: #fff;
    width: 75%;
}

.rated-box{
    @include FlexDisplayed(center, center);
    column-gap: 5px;
    padding: 0 5px;
    margin-top: 10px;
    background-color: yellow;
}

.btn-box-list{
    @include FlexDisplayed(flex-end, center);
    width: 100%;
    padding: 10px;
    column-gap: 10px;
    button{
        background-color: transparent;
        border: none;
    }
}

@media only screen and (max-width: 680px) {
    .list-movies-container{
        justify-content: center;
    }
}